{

Fast Memory Manager: Messages

French translation by Florent Ouchet.

}
//Mods by SilentPliz

unit FastMM4Messages;

interface

{$Include FastMM4Options.inc}

const
  {The name of the debug info support DLL}
  FullDebugModeLibraryName = 'FastMM_FullDebugMode.dll';
  {Event log strings}
  LogFileExtension = '_MemoryManager_Rapport.txt'#0;
  CRLF = #13#10;
  EventSeparator = '--------------------------------';
  {Class name messages}
  UnknownClassNameMsg = 'Inconnu';
  {Memory dump message}
  MemoryDumpMsg = #13#10#13#10'Contenu des 256 octets commenant  l''adresse ';
  {Block Error Messages}
  BlockScanLogHeader = 'Bloc allou rapport par LogAllocatedBlocksToFile. Sa taille est : ';
  ErrorMsgHeader = 'FastMM a dtect une erreur pendant un ';
  GetMemMsg = 'appel  GetMem';
  FreeMemMsg = 'appel  FreeMem';
  ReallocMemMsg = 'appel  ReallocMem';
  BlockCheckMsg = 'scan des blocs libres';
  OperationMsg = '. ';
  BlockHeaderCorruptedMsg = 'L''en-tte du bloc a t corrompue. ';
  BlockFooterCorruptedMsg = 'La fin du bloc a t corrompue. ';
  FreeModifiedErrorMsg = 'FastMM a dtect qu''un bloc a t modifi aprs avoir t libr. ';
  FreeModifiedDetailMsg = #13#10#13#10'Modified byte offsets (and lengths): ';
  DoubleFreeErrorMsg = 'Tentative d''appeler free ou reallocate pour un bloc dj libr.';
  WrongMMFreeErrorMsg = 'An attempt has been made to free/reallocate a block that was allocated through a different FastMM instance. Check your memory manager sharing settings.';
  PreviousBlockSizeMsg = #13#10#13#10'La taille prcdente du bloc tait de : ';
  CurrentBlockSizeMsg = #13#10#13#10'La taille du bloc est : ';
  PreviousObjectClassMsg = #13#10#13#10'Le bloc tait prcdemment utilis pour un objet de la classe : ';
  CurrentObjectClassMsg = #13#10#13#10'Le bloc tait actuellement utilis pour un objet de la classe : ';
  PreviousAllocationGroupMsg = #13#10#13#10'Le groupe d''allocations tait : ';
  PreviousAllocationNumberMsg = #13#10#13#10'Le nombre d''allocations tait : ';
  CurrentAllocationGroupMsg = #13#10#13#10'Le groupe d''allocation est : ';
  CurrentAllocationNumberMsg = #13#10#13#10'Le nombre d''allocations est : ';
  BlockErrorMsgTitle = 'Erreur mmoire dtecte';
  VirtualMethodErrorHeader = 'FastMM a dtect une tentative d''appel d''une mthode virtuelle d''un objet libr. Une violation d''accs va maintenant tre leve dans le but d''annuler l''opration courante.';
  InterfaceErrorHeader = 'FastMM a dtect une tentative d''utilisation d''une interface d''un objet libr. Une violation d''accs va maintenant tre leve dans le but d''annuler l''opration courante.';
  BlockHeaderCorruptedNoHistoryMsg = ' La corruption de l''entte du bloc ne permet pas l''obtention de l''historique.';
  FreedObjectClassMsg = #13#10#13#10'Classe de l''objet libr : ';
  VirtualMethodName = #13#10#13#10'Mthode virtuelle : ';
  VirtualMethodOffset = 'Dcalage +';
  VirtualMethodAddress = #13#10#13#10'Adresse de la mthode virtuelle : ';
  {Stack trace messages}
  CurrentThreadIDMsg = #13#10#13#10'The current thread ID is 0x';
  CurrentStackTraceMsg = ', and the stack trace (return addresses) leading to this error is:';
  ThreadIDPrevAllocMsg = #13#10#13#10'This block was previously allocated by thread 0x';
  ThreadIDAtAllocMsg = #13#10#13#10'This block was allocated by thread 0x';
  ThreadIDAtFreeMsg = #13#10#13#10'The block was previously freed by thread 0x';
  ThreadIDAtObjectAllocMsg = #13#10#13#10'The object was allocated by thread 0x';
  ThreadIDAtObjectFreeMsg = #13#10#13#10'The object was subsequently freed by thread 0x';
  StackTraceMsg = ', and the stack trace (return addresses) at the time was:';
  {Installation Messages}
  AlreadyInstalledMsg = 'FastMM4 est dj install.';
  AlreadyInstalledTitle = 'Dj install.';
  OtherMMInstalledMsg = 'FastMM4 ne peut pas tre install puisqu''un autre gestionnaire de mmoire s''est dj install.'#13#10
    + 'Pour utiliser FastMM4, FastMM4.pas doit tre la toute premire unit dans la section "uses" du fichier projet .dpr';
  OtherMMInstalledTitle = 'Impossible d''installer FastMM4 - un autre gestionnaire de mmoire est dj install';
  MemoryAllocatedMsg = 'FastMM4 ne peut pas tre install puisque des blocs de mmoire ont dj t allou par le gestionnaire de mmoire par dfaut.'#13#10
    + 'FastMM4.pas DOIT tre la premire unit dans la section "uses" du fichier projet .dpr; dans le cas contraire, des blocs de mmoire '#1310
    + 'peuvent tre allous avant que FastMM4 ne prenne le contrle, si vous utilisez un gestionnaire d''exception comme MadExcept '#1310
    + '(ou tout autre outil qui modifie l''ordre d''initialisation des units). Veuillez modifier sur la page de configuration de cet outil'#1310
    + 'l''ordre d''initialisation des units pour que FastMM4.pas soit initialise avant tout autre unit';
  MemoryAllocatedTitle = 'Impossible d''installer FastMM4 - des blocs de mmoire ont dj t allous';
  {Leak checking messages}
  LeakLogHeader = 'Une fuite mmoire a t dtecte. Sa taille est : ';
  LeakMessageHeader = 'Cette application a fuit de la mmoire. ';
  SmallLeakDetail = 'Les fuites de petits blocs sont'
{$ifdef HideExpectedLeaksRegisteredByPointer}
    + ' (excluant toutes les fuites masques)'
{$endif}
	+ ' :'#13#10;
  LargeLeakDetail = 'Les tailles des blocs moyens et grands sont'
{$ifdef HideExpectedLeaksRegisteredByPointer}
    + ' (excluant toutes les fuites masques)'
{$endif}
	+ ' : ';
  BytesMessage = ' octets : ';
  AnsiStringBlockMessage = 'AnsiString';
  UnicodeStringBlockMessage = 'UnicodeString';
  LeakMessageFooter = #13#10
{$ifndef HideMemoryLeakHintMessage}
	+ #13#10'Note : '
  {$ifdef RequireIDEPresenceForLeakReporting}
    + 'Cette vrification des fuites mmoire n''est effectu que si Delphi est actuellement excut sur la mme machine. '
  {$endif}
  {$ifdef FullDebugMode}
    {$ifdef LogMemoryLeakDetailToFile}
    + 'Les dtails des fuites de mmoire sont rapports dans un fichier texte dans le mme dossier que l''application. '
    {$else}
    + 'Activez l''option "LogMemoryLeakDetailToFile" pour obtenir un fichier rapportant les dtails des fuites de mmoire. '
    {$endif}
  {$else}
    + 'Pour obtenir un fichier rapport contenant les dtails des fuites de mmoire, activez les options de compilation "FullDebugMode" et "LogMemoryLeakDetailToFile". '
  {$endif}
    + 'Pour dsactiver cette vrification des fuites mmoires, dsactivez l''option de compilation "EnableMemoryLeakReporting".'#13#10
{$endif}
    + #0;
  LeakMessageTitle = 'Fuite mmoire dtecte';
{$ifdef UseOutputDebugString}
  FastMMInstallMsg = 'FastMM a t install.';
  FastMMInstallSharedMsg = 'Partageant un exemplaire existant de FastMM.';
  FastMMUninstallMsg = 'FastMM a t dsinstall.';
  FastMMUninstallSharedMsg = 'Fin du partage avec un exemplaire existant de FastMM.';
{$endif}
{$ifdef DetectMMOperationsAfterUninstall}
  InvalidOperationTitle = 'Operation MM aprs la dsinstallation.';
  InvalidGetMemMsg = 'FastMM a dtect un appel  GetMem aprs que FastMM ait t dsinstall.';
  InvalidFreeMemMsg = 'FastMM a dtect un appel  FreeMem aprs que FastMM ait t dsinstall.';
  InvalidReallocMemMsg = 'FastMM a dtect un appel  ReallocMem aprs que FastMM ait t dsinstall.';
  InvalidAllocMemMsg = 'FastMM a dtect un appel  AllocMem aprs que FastMM ait t dsinstall.';
{$endif}

implementation

end.

