{
Copyright (C) 2002-2020  Massimo Melina (www.rejetto.com)

This file is part of HFS ~ HTTP File Server.

    HFS is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    HFS is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with HFS; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

Modified by Mars & SilentPliz - 2007/2020 - <silentpliz@gmail.com>
Internationalized & localized for HFS ~ HTTP File Server by SilentPliz - 2011-2020  <silentpliz@gmail.com>
}

unit purgeDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, gnugettext;

type
  TpurgeFrm = class(TForm)
    Label1: TLabel;
    Button1: TButton;
    Button2: TButton;
    rmFilesChk: TCheckBox;
    rmRealFoldersChk: TCheckBox;
    rmEmptyFoldersChk: TCheckBox;
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  purgeFrm: TpurgeFrm;

implementation

{$R *.dfm}

procedure TpurgeFrm.FormCreate(Sender: TObject);
begin
  TranslateComponent (self);  //add by SilentPliz
    self.DefaultMonitor:=dmMainForm; 
    self.Position:=poScreenCenter;  
end;

procedure TpurgeFrm.FormShow(Sender: TObject); //add by SilentPliz
begin
  RetranslateComponent (self);
end;

end.
